Create a task
curl --request POST \
--url https://api.sazabi.com/v1/tasks \
--header 'Content-Type: application/json' \
--data '
{
"container": "<string>",
"title": "<string>",
"bodyMarkdown": "<string>",
"state": "<string>",
"itemType": "<string>",
"organizationId": "<string>",
"clientRequestId": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/tasks"
payload = {
"container": "<string>",
"title": "<string>",
"bodyMarkdown": "<string>",
"state": "<string>",
"itemType": "<string>",
"organizationId": "<string>",
"clientRequestId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
container: '<string>',
title: '<string>',
bodyMarkdown: '<string>',
state: '<string>',
itemType: '<string>',
organizationId: '<string>',
clientRequestId: '<string>'
})
};
fetch('https://api.sazabi.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'container' => '<string>',
'title' => '<string>',
'bodyMarkdown' => '<string>',
'state' => '<string>',
'itemType' => '<string>',
'organizationId' => '<string>',
'clientRequestId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/tasks"
payload := strings.NewReader("{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/tasks")
.header("Content-Type", "application/json")
.body("{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"identifier": "<string>",
"title": "<string>",
"url": "<string>",
"state": "<string>",
"reused": true,
"attribution": {
"kind": "user",
"name": "<string>",
"email": "<string>"
}
}Tasks
Create a task
Create a task (e.g. a Linear issue) in a connected external tracker, attributing the write to the requesting user.
POST
https://api.sazabi.com/v1
/
tasks
Create a task
curl --request POST \
--url https://api.sazabi.com/v1/tasks \
--header 'Content-Type: application/json' \
--data '
{
"container": "<string>",
"title": "<string>",
"bodyMarkdown": "<string>",
"state": "<string>",
"itemType": "<string>",
"organizationId": "<string>",
"clientRequestId": "<string>"
}
'import requests
url = "https://api.sazabi.com/v1/tasks"
payload = {
"container": "<string>",
"title": "<string>",
"bodyMarkdown": "<string>",
"state": "<string>",
"itemType": "<string>",
"organizationId": "<string>",
"clientRequestId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
container: '<string>',
title: '<string>',
bodyMarkdown: '<string>',
state: '<string>',
itemType: '<string>',
organizationId: '<string>',
clientRequestId: '<string>'
})
};
fetch('https://api.sazabi.com/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'container' => '<string>',
'title' => '<string>',
'bodyMarkdown' => '<string>',
'state' => '<string>',
'itemType' => '<string>',
'organizationId' => '<string>',
'clientRequestId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/tasks"
payload := strings.NewReader("{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sazabi.com/v1/tasks")
.header("Content-Type", "application/json")
.body("{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"container\": \"<string>\",\n \"title\": \"<string>\",\n \"bodyMarkdown\": \"<string>\",\n \"state\": \"<string>\",\n \"itemType\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"clientRequestId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"identifier": "<string>",
"title": "<string>",
"url": "<string>",
"state": "<string>",
"reused": true,
"attribution": {
"kind": "user",
"name": "<string>",
"email": "<string>"
}
}Body
application/json
The container to create the task in: its id, short key (e.g. a Linear team key like ENG), or display name.
Minimum string length:
1Minimum string length:
1Optional organization ID to scope the request to. User credentials must belong to it; a secret key may only reference its own organization. Omitting it currently falls back to the session's active organization for user tokens (deprecated); a future release will require it for user-token callers.
Minimum string length:
1Optional caller-supplied idempotency key. When provided, retrying the same logical create with the same clientRequestId reuses the original result instead of creating a duplicate external task.
Minimum string length:
1